Cross compilation of rst-converters fails due to linking against installed x64 libraries
11/20/2014 11:09 AM - T. Korthals

Status: Rejected Start date: 11/20/2014
Priority: Normal Due date:
Assignee: % Done: 0%
Category: cpp Estimated time: 0.00 hour
Target version:
Description

Platform
Ubuntu Trusty x64 with bitbake cross compilation environment

Programs and Programming Languages
C++

rst-converters Version
git/master

What did you do?
rst-converters cross compilation via bitbake

What did you expect to happen?
Normal compilation

What happened instead?
The provided CMakeLists.txt file found the rsc version installed on my computer, so the cross linker wanted to link against my
x64 libraries

Additional information
Patch attached

History
#1 - 11/20/2014 02:32 PM - J. Moringen
- Assignee changed from J. Moringen to J. Wienke

Johannes is more competent w.r.t. more complicated CMake problems

#2 - 11/25/2014 11:32 AM - J. Wienke

Why is this patch necessary? The RSBConfig.cmake triggered by FIND_PACKAGE(RSB) already includes the FIND_PACKAGE(RSC) line. Does
bitbake preprocess the CMake files to identify things it needs to set and cannot find this hidden FIND_PACKAGE call?

#3 - 12/20/2014 03:17 PM - T. Korthals

Hi,

the FIND_PACKAGE(RSB) included the wrong FIND_PACKAGE(RSC) because of our own work-around for cross-compilation.
FIND_PACKAGE(RSC) accidentally included the x86 libraries from my own installation, because we edited the RSB cmake modules already for
deployment before we compiled rst-converters.
So you can reject the bug!

#4 - 12/20/2014 06:25 PM - J. Moringen
- Status changed from New to Rejected
- Assignee deleted (J. Wienke)

Files
0001-Added-RSC-to-the-environment-to-allow-compilation-on.patch 855 Bytes 11/20/2014 T. Korthals

04/25/2024 2/2


